#pragma once
#include "Expression.h"

class BinaryOperator
{
public:
	BinaryOperator(Expression *left, Expression *right);
	virtual ~BinaryOperator(void);
protected:
    Expression *m_leftOperand;
    Expression *m_rightOperand;
};

